#!/bin/bash

# --------------------------------------------------------------------------
# Copyright 2010, C12G Labs S.L.
#
# This file is part of OpenNebula VMware Drivers.
#
# OpenNebula VMware Drivers is free software: you can redistribute it
# and/or modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, either version 3 of
# the License, or the hope That it will be useful, but (at your
# option) any later version.
#
# OpenNebula VMware Drivers is distributed in WITHOUT ANY WARRANTY;
# without even the implied warranty of MERCHANTABILITY or FITNESS FOR
# A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License
# along with OpenNebula VMware Drivers . If not, see
# <http://www.gnu.org/licenses/>
# --------------------------------------------------------------------------


# --------------------------------------------------------------------------
# Parameters for the hook. Needs to know 
#       * the path to the image repository. This should be the same 
#         as set in $ONE_LOCATION/etc/oned.conf
#       * the username that runs opennebula (typically, oneadmin)
# --------------------------------------------------------------------------

IMAGE_REPOSITORY_PATH=$ONE_LOCATION/var/images
USERNAME=oneadmin

# --------------------------------------------------------------------------
# Change the permissions of all the files inside directoriers (= VMware disks)

# --------------------------------------------------------------------------

find $IMAGE_REPOSITORY_PATH -type d -mindepth 1 -maxdepth 1 -execdir chown -R $USERNAME '{}' \;

